> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usequanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List the org's persisted bulk action history



## OpenAPI

````yaml https://app.usequanta.com/openapi/quanta-services-api/openapi.json get /api/bulk_actions/history
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://app.usequanta.com
    description: Production
security:
  - HTTPBearer: []
paths:
  /api/bulk_actions/history:
    get:
      tags:
        - bulk_actions
        - quanta-services-api
      summary: List the org's persisted bulk action history
      operationId: get_bulk_action_history
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/BulkActionHistoryItem'
                type: array
                title: Response Get Bulk Action History
      security:
        - HTTPBearer: []
components:
  schemas:
    BulkActionHistoryItem:
      properties:
        qid:
          type: string
          title: Qid
        kind:
          $ref: '#/components/schemas/BulkActionHistoryKind'
        label:
          type: string
          title: Label
        status:
          $ref: '#/components/schemas/WorkflowExecutionStatus'
        phase:
          anyOf:
            - $ref: '#/components/schemas/BulkActionPhase'
            - type: 'null'
        has_preview:
          type: boolean
          title: Has Preview
        no_operations:
          type: boolean
          title: No Operations
        total_count:
          type: integer
          title: Total Count
        completed_count:
          type: integer
          title: Completed Count
        failed_count:
          type: integer
          title: Failed Count
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - qid
        - kind
        - label
        - status
        - phase
        - has_preview
        - no_operations
        - total_count
        - completed_count
        - failed_count
        - created_at
        - updated_at
      title: BulkActionHistoryItem
    BulkActionHistoryKind:
      type: string
      enum:
        - EXPENSE_DEPARTMENT_BACKFILL
        - SPEND
        - RESET_PAYROLL
        - REPLAY_INVOICES
      title: BulkActionHistoryKind
    WorkflowExecutionStatus:
      type: integer
      enum:
        - 1
        - 2
        - 3
        - 4
        - 5
        - 6
        - 7
      title: WorkflowExecutionStatus
      description: |-
        Status of a workflow execution.

        See :py:class:`temporalio.api.enums.v1.WorkflowExecutionStatus`.
    BulkActionPhase:
      type: string
      enum:
        - PREPARING
        - PREVIEWING
        - PREVIEW_READY
        - APPLYING
      title: BulkActionPhase
      description: Phases a `preview_then_apply` bulk action moves through.
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Quanta Services API scoped bearer token. Supported only on Services API
        routes.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.